### Function

# Vips g_input_stream_new_from_source

#### Declaration [src]

    GInputStream*
    vips_g_input_stream_new_from_source (
      VipsSource* source
    )

#### Description [src]

Create a new `GInputStream` wrapping a `VipsSource`. This is useful for loaders like SVG and PDF which support `GInputStream` methods.

See also

`vips_source_g_input_stream_new()`.

#### Parameters

`source`

  Type: `VipsSource`

  Vips source to wrap.

  The data is owned by the caller of the function.

#### Return value

Type: `GInputStream`

A new `GInputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.